#### 7.10.2.20 crystallographicGroupP3M1

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupP3M1(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - p3m1 group with the following presentation
  < x, y, r, m | [x, y] = r^3 = m^2 = 1, m^(-1)*r*m = r^2, r^(-1)*x*r = x^(-1)*y, r^(-1)*y*r = x^(-1), m^(-1)*x*m = x^(-1), m^(-1)*y*m = x^(-1)*y > - d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupP3M1(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=r*r*r+y*x+x*y
    ==> I[3]=y*x+x*y+m*m
    ==> I[4]=r*r*r+1
    ==> I[5]=m*m+1
    ==> I[6]=r*r*r+m*m
    ==> I[7]=m*r*m+r*r
    ==> I[8]=r*r*x*r+X*y
    ==> I[9]=r*r*y*r+X
    ==> I[10]=m*x*m+X
    ==> I[11]=m*y*m+X*y
    ==> I[12]=X*x+1
    ==> I[13]=x*X+1
    ==> I[14]=Y*y+1
    ==> I[15]=y*Y+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.